export interface Config {
    isQueueAsync?: boolean;
    timeoutInMS?: number;
}
export declare const useOfflineQueue: (config?: Partial<Config> | undefined) => {
    dequeue: () => void;
    dequeueAsync: () => Promise<void>;
    dequeueSync: () => Promise<void>;
    enqueue: (callback: Function) => any;
    getQueue: () => Function[];
    isOnline: boolean;
    peek: () => Function;
};
